#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir fvwm
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat $BUILDDIR/zcat


cd $BUILDDIR/fvwm
mkdir fvwm
cd fvwm
cat $SOURCEDIR/fvwm/f123core.gz | $BUILDDIR/zcat -d -c | tar xvof -
cat $SOURCEDIR/fvwm/123icons.gz | $BUILDDIR/zcat -d -c | tar xvof -
cat $SOURCEDIR/fvwm/fvwm_1.gz | $BUILDDIR/zcat -d -c | tar xvof -

(sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/fvwm/rtr/fvwm | patch -p -s )
test -f $SOURCEDIR/fvwm/$machine/fvwm &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/fvwm/$machine/fvwm | patch -b .rtr -p -s )

xmkmf
make Makefiles
make
if test "$RM" != "" ; then make install ; fi
if test "$RM" != "" ; then make install.man ; fi
mkdirhier $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/pixmaps
mkdirhier $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/bitmaps
if test "$RM" != "" ; then cp fvwm_icons/*.xpm $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/pixmaps ; fi
if test "$RM" != "" ; then cp fvwm_icons/*.xbm $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/bitmaps ; fi
if test "$RM" != "" ; then cp fvwm_icons/*.bitmap $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/bitmaps ; fi
if test "$RM" != "" ; then cp fvwm_icons/*.icon $INSTALLSHAREDIR/${SHAREPREFIX}include/X11/bitmaps ; fi

cd $BUILDDIR/fvwm

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/fvwm ; fi
